bugranger - Bugs: bug #41910, scope.sh seems to be broken

 
 

bug #41910: scope.sh seems to be broken

Submitted by:  None
Submitted on:  Wed 19 Mar 2014 07:51:49 PM UTC  
 
Severity:  3 - Normal Status:  None
Privacy:  Public Assigned to:  None
Open/Closed:  Open

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Wed 19 Mar 2014 07:51:49 PM UTC, original submission:  

The following lines should describe it good enough

$ pwd
/home/sekret/.config/ranger
$ rm scope.sh
]$ ranger --copy-config=scope
creating: /home/sekret/.config/ranger/scope.sh
Please note that configuration files may change as ranger evolves.
It's completely up to you to keep them up to date.
$ ranger -d
ranger version: 1.6.1, executed with python 3.3.5
Locale: en_US.UTF-8
Current file: /home/sekret/.config/ranger/scope.sh
Traceback (most recent call last):
  File "/usr/lib/python3.3/site-packages/ranger/core/fm.py", line 316, in loop
    ui.draw_images()
  File "/usr/lib/python3.3/site-packages/ranger/gui/ui.py", line 319, in draw_images
    self.pager.draw_image()
  File "/usr/lib/python3.3/site-packages/ranger/gui/widgets/pager.py", line 98, in draw_image
    self.fm.notify(e, bad=True)
  File "/usr/lib/python3.3/site-packages/ranger/gui/widgets/pager.py", line 94, in draw_image
    self.wid, self.hei)
  File "/usr/lib/python3.3/site-packages/ranger/ext/img_display.py", line 43, in draw
    self.initialize()
  File "/usr/lib/python3.3/site-packages/ranger/ext/img_display.py", line 38, in initialize
    stdin=PIPE, stdout=PIPE, universal_newlines=True)
  File "/usr/lib/python3.3/subprocess.py", line 819, in _init_
    restore_signals, start_new_session)
  File "/usr/lib/python3.3/subprocess.py", line 1448, in _execute_child
    raise child_exception_type(errno_num, err_msg)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/lib/w3m/w3mimgdisplay'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.3/site-packages/ranger/core/main.py", line 139, in main
    fm.loop()
  File "/usr/lib/python3.3/site-packages/ranger/core/fm.py", line 336, in loop
    self.image_displayer.quit()
  File "/usr/lib/python3.3/site-packages/ranger/ext/img_display.py", line 109, in quit
    self.process.kill()
AttributeError: 'ImageDisplayer' object has no attribute 'process'
ranger crashed.  Please report this traceback at:
http://savannah.nongnu.org/bugs/?group=ranger&func=additem

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

CC list is empty

 

Do you think this task is very important?
If so, you can add your encouragement to it.
This task has 0 encouragements so far.

Only logged-in users can vote.

 

 

 

No changes have been made to this item

Back to the top


Powered by Savane 3.5